extends Node
class_name LoadingZoneTransporter

signal MapTransitionQueued(map_id: Enums.MapIds, marker_name: String)

@export var destination_map_id: Enums.MapIds
@export var destination_marker_name: String

var _packed_scene: PackedScene

# Public Methods
func Activate() -> void:
	MapTransitionQueued.emit(destination_map_id, destination_marker_name)


# Private Methods
func _ready() -> void:
	_packed_scene = MapLoader.GetMap(destination_map_id)
